<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Ramsey\Uuid\Doctrine\UuidGenerator;

/**
 * @ORM\Entity
 * @ORM\Table(name="external_adherent_data")
 */
class ExternalAdherentData
{
    /**
     * @var \Ramsey\Uuid\UuidInterface
     *
     * @ORM\Id
     * @ORM\Column(type="uuid", unique=true)
     * @ORM\GeneratedValue(strategy="CUSTOM")
     * @ORM\CustomIdGenerator(class=UuidGenerator::class)
     */
    private $id;

    /**
     * @ORM\OneToOne(targetEntity="Adherent")
     * @ORM\JoinColumn(name="adherent_id", referencedColumnName="id", nullable=false, unique=true)
     */
    private $adherent;

    /**
     * @ORM\ManyToOne(targetEntity="ExternalDataAgeGroup")
     * @ORM\JoinColumn(name="external_data_age_group_id", referencedColumnName="id", nullable=true)
     */
    private $externalDataAgeGroup;

    /** @ORM\Column(type="integer", nullable=true) */
    private $birthYear;

    /** @ORM\Column(type="integer", nullable=true) */
    private $ageIncomeRatioGroup;

    /** @ORM\Column(type="integer", nullable=true) */
    private $householdIncomeRadioGroup;

    /** @ORM\Column(type="string", length=255) */
    private $externalId;

    /** @ORM\Column(type="string", length=255) */
    private $cohort;

    /**
     * @ORM\ManyToOne(targetEntity="ExternalDataCCMemberStatus")
     * @ORM\JoinColumn(name="external_data_cc_member_status_id", referencedColumnName="id", nullable=true)
     */
    private $externalDataCCMemberStatus;
}
