<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;
use Ramsey\Uuid\Doctrine\UuidGenerator;

/**
 * @ORM\Entity
 * @ORM\Table(name="external_adherent_dated_data")
 */
class ExternalAdherentDatedData
{
    /**
     * @var \Ramsey\Uuid\UuidInterface
     *
     * @ORM\Id
     * @ORM\Column(type="uuid", unique=true)
     * @ORM\GeneratedValue(strategy="CUSTOM")
     * @ORM\CustomIdGenerator(class=UuidGenerator::class)
     */
    private $id;

    /**
     * @ORM\OneToOne(targetEntity="Adherent")
     * @ORM\JoinColumn(name="adherent_id", referencedColumnName="id", nullable=false, unique=true)
     */
    private $adherent;

    /** @ORM\Column(type="integer") */
    private $year;

    /** @ORM\Column(type="float") */
    private $householdUnitShares;

    /** @ORM\Column(type="integer") */
    private $annualIncome;

    /** @ORM\Column(type="integer") */
    private $monthlyIncome;
}
